<%
'//////////////////////////////////////////////////////////////////////////////////
'// Ŭ : ClsLogger
'//  : v1.0
'//  :    α
'// ۼ : 2008-07-29
'// ۼ : 翵
'//  : http://cafe.naver.com/gurukey
'//////////////////////////////////////////////////////////////////////////////////
'// Level
'//		FATAL : ġ 
'//		ERROR :    
'//		WARN :  ų ɼ 
'//		INFO :  Ÿ  
'//		DEBUG :   Ÿ  
'// : WARN     WARN, ERROR, FATAL  αװ  ȴ.
'// ********    ؾ   α׸     α  Դϴ.
Class ClsLogger

	Private m_Level
	Private m_LevelString
	Private m_Domain
	Private m_HttpPort
	Private m_PageName
	Private m_FSO
	Private m_LogFile
	Private m_LogFileDir
	Private m_LogFileName
	
	'// ʱȭ
	Private Sub Class_Initialize()
		
		'Set Log Level
		m_Level = "DEBUG"
		'Set Log Dir
		m_LogFileDir = "D:\LogFiles\"

		m_LevelString = "DEBUG, INFO, WARN, ERROR, FATAL"
		'
		m_Domain = Request.ServerVariables("SERVER_NAME")

		m_HttpPort = Request.ServerVariables("SERVER_PORT")

		'Set Page Name
		m_PageName = Request.ServerVariables("URL")

		Set m_FSO = Server.CreateObject("Scripting.FileSystemObject")

		Debug ""

	End Sub

	Public Sub Fatal(ByVal pMsg)
		WriteLog "FATAL", pMsg
	End Sub

	Public Sub Error(ByVal pMsg)
		WriteLog "ERROR", pMsg
	End Sub

	Public Sub Warn(ByVal pMsg)
		WriteLog "WARN", pMsg
	End Sub

	Public Sub Info(ByVal pMsg)
		WriteLog "INFO", pMsg
	End Sub

	Public Sub Debug(ByVal pMsg)
		WriteLog "DEBUG", pMsg
	End Sub

	Private Function IsEnableLog(ByVal pLevel)
		Dim pMyIndex : pMyIndex = InStr(m_LevelString, pLevel)
		Dim pSetIndex : pSetIndex = InStr(m_LevelString, m_Level)

		If ( pMyINdex >= pSetIndex ) Then
			IsEnableLog = True
		Else
			IsEnableLog = False
		End If
	End Function

	'// Write Log
	Private Sub WriteLog(ByVal pLevel, ByVal pMsg)

		If ( Not IsEnableLog(pLevel) ) Then
			Exit Sub
		End If

		Dim pDate : pDate = Now()
		Dim pLogFileName : pLogFileName = Left(Replace(pDate, "-", ""), 8)
		pLogFileName = m_LogFileDir & pLogFileName & ".log"

		Set m_LogFile = m_FSO.OpenTextFile(pLogFileName, 8, True )

		m_LogFile.Write pDate & " " & pLevel & " [" & m_HttpPort & "]" & m_Domain & m_PageName & " - " & pMsg & Chr(13)&Chr(10)

		m_LogFile.Close

	End Sub
	
	'// 
	Private Sub Class_Terminate()

		Debug ""

		Set m_LogFile = Nothing
		Set m_FSO = Nothing

	End Sub

End Class
%>